local t = Def.ActorFrame {};

t[#t+1] = Def.ActorFrame {
	Def.ActorFrame { -- Color
		Def.Quad {
			InitCommand=cmd(horizalign,left;zoomto,SCREEN_WIDTH,SCREEN_HEIGHT;diffuse,color("#000000");y,SCREEN_CENTER_Y);
			OnCommand=cmd(diffusealpha,0;smooth,0.6;diffusealpha,0.5);
			-- OffCommand=cmd(smooth,0.3;addx,SCREEN_WIDTH;);
		};
		Def.Quad {
			InitCommand=cmd(horizalign,left;zoomto,SCREEN_WIDTH,SCREEN_HEIGHT;diffuse,color("#8D1605");y,SCREEN_CENTER_Y);
			OnCommand=cmd(addx,SCREEN_WIDTH;sleep,0.6;smooth,0.4;addx,-SCREEN_WIDTH;;);
			-- OffCommand=cmd(smooth,0.3;addx,SCREEN_WIDTH;);
		};
	};
	
	LoadActor("_pass") .. {
		InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y);
		OnCommand=cmd(addx,-10;diffusealpha,0;sleep,1.2;smooth,0.2;diffusealpha,1;addx,10;sleep,2;decelerate,0.3;addx,10;diffusealpha,0;);
	};
};

t[#t+1] = LoadActor("_fail") .. {
        OnCommand=cmd(queuecommand,("Play"));
		PlayCommand=cmd(play;);
};

return t